package com.yihu.jw.entity.base.wx;

import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author huangwenjie
 * @date 2020/3/10 14:39
 */
@Entity
@Table(name = "base_patient_wechat")
public class BasePatientWechatDo extends UuidIdentityEntity {
	
	private String saasId;
	private String wechatId;
	private String patientId;
	private String openid;
	private String unionid;
	private Date createTime;
	
	@Column(name = "saas_id")
	public String getSaasId() {
		return saasId;
	}
	
	public void setSaasId(String saasId) {
		this.saasId = saasId;
	}
	
	@Column(name = "wechat_id")
	public String getWechatId() {
		return wechatId;
	}
	
	public void setWechatId(String wechatId) {
		this.wechatId = wechatId;
	}
	
	@Column(name = "patient_id")
	public String getPatientId() {
		return patientId;
	}
	
	public void setPatientId(String patientId) {
		this.patientId = patientId;
	}
	
	public String getOpenid() {
		return openid;
	}
	
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	
	public String getUnionid() {
		return unionid;
	}
	
	public void setUnionid(String unionid) {
		this.unionid = unionid;
	}
	
	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}
	
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
}
